diff --git a/src/usr/local/pfSense/include/www/system_advanced_misc.inc b/src/usr/local/pfSense/include/www/system_advanced_misc.inc
index 01d8d43a66..5d41f575b3 100644
--- a/src/usr/local/pfSense/include/www/system_advanced_misc.inc
+++ b/src/usr/local/pfSense/include/www/system_advanced_misc.inc
@@ -22,6 +22,7 @@
 require_once("config.gui.inc");
 require_once("functions.inc");
 require_once("filter.inc");
+require_once("service-utils.inc");
 require_once("shaper.inc");
 require_once("system.inc");
 require_once("util.inc");
@@ -132,6 +133,21 @@ function getSystemAdvancedMisc($json = false) {
 	return $json ? json_encode($pconfig) : $pconfig;
 }
 
+function getSystemAdvancedMiscCryptoModules() {
+	$platform = system_identify_specific_platform();
+	switch ($platform['name']) {
+		default:
+			$crypto_modules = array(
+				'aesni' => gettext("AES-NI CPU-based Acceleration"),
+				'aesni_cryptodev' => gettext("AES-NI and BSD Crypto Device (aesni, cryptodev)"),
+				'cryptodev' => gettext("BSD Crypto Device (cryptodev)"),
+				'qat' => gettext("Intel QuickAssist (QAT)"),
+			);
+	}
+
+	return $crypto_modules;
+}
+
 function saveSystemAdvancedMisc($post, $json = false) {
 	global $global_gateway_state_kill_modes, $hwpstate_status_descr, $hwpstate_control_levels;
 
@@ -163,7 +179,8 @@ function saveSystemAdvancedMisc($post, $json = false) {
 		'amdtemp' => gettext("AMD K8, K10 and K11 CPU on-die thermal sensor")
 	);
 
-	if (!empty($post['crypto_hardware']) && !array_key_exists($post['crypto_hardware'], $crypto_modules)) {
+	if (!empty($post['crypto_hardware']) && !array_key_exists($post['crypto_hardware'],
+	    getSystemAdvancedMiscCryptoModules())) {
 		$input_errors[] = gettext("Please select a valid Cryptographic Accelerator.");
 	}
 
diff --git a/src/usr/local/www/classes/Form.class.php b/src/usr/local/www/classes/Form.class.php
index c11898f417..90016bffa9 100644
--- a/src/usr/local/www/classes/Form.class.php
+++ b/src/usr/local/www/classes/Form.class.php
@@ -77,6 +77,13 @@ class Form extends Form_Element
 		return $this;
 	}
 
+	public function setMethod($method)
+	{
+		$this->_attributes['method'] = $method;
+
+		return $this;
+	}
+
 	public function addGlobal(Form_Input $input)
 	{
 		array_push($this->_global, $input);
diff --git a/src/usr/local/www/diag_backup.php b/src/usr/local/www/diag_backup.php
index 0142fe2d6d..7a724dbdce 100644
--- a/src/usr/local/www/diag_backup.php
+++ b/src/usr/local/www/diag_backup.php
@@ -117,10 +117,15 @@ function build_area_list($showall) {
 	}
 }
 
-$pgtitle = array(gettext("Diagnostics"), htmlspecialchars(gettext("Backup & Restore")), htmlspecialchars(gettext("Backup & Restore")));
-$pglinks = array("", "@self", "@self");
+$pgtitle = [gettext('Diagnostics'), htmlspecialchars(gettext('Backup & Restore')), htmlspecialchars(gettext('Backup & Restore'))];
+$pglinks = ['', '@self', '@self'];
 include("head.inc");
 
+$tab_array[] = [htmlspecialchars(gettext('Backup & Restore')), true, 'diag_backup.php'];
+$tab_array[] = [gettext('Configuration History'), false, 'diag_confbak.php'];
+
+display_top_tabs($tab_array);
+
 if ($input_errors) {
 	print_input_errors($input_errors);
 }
@@ -140,11 +145,6 @@ if (is_subsystem_dirty('restore')):
 <?php
 endif;
 
-$tab_array = array();
-$tab_array[] = array(htmlspecialchars(gettext("Backup & Restore")), true, "diag_backup.php");
-$tab_array[] = array(gettext("Config History"), false, "diag_confbak.php");
-display_top_tabs($tab_array);
-
 $form = new Form(false);
 $form->setMultipartEncoding();	// Allow file uploads
 
diff --git a/src/usr/local/www/diag_confbak.php b/src/usr/local/www/diag_confbak.php
index 97548bc4aa..8f2a75fe76 100644
--- a/src/usr/local/www/diag_confbak.php
+++ b/src/usr/local/www/diag_confbak.php
@@ -30,11 +30,11 @@
 ##|*MATCH=diag_confbak.php*
 ##|-PRIV
 
-require_once("guiconfig.inc");
+require_once('guiconfig.inc');
 
 if (isset($_POST['backupcount'])) {
 	if (!empty($_POST['backupcount']) && (!is_numericint($_POST['backupcount']) || ($_POST['backupcount'] < 0))) {
-		$input_errors[] = gettext("Invalid Backup Count specified");
+		$input_errors[] = gettext('Invalid Backup Count specified');
 	}
 
 	if (!$input_errors) {
@@ -43,16 +43,16 @@ if (isset($_POST['backupcount'])) {
 			$changedescr = config_get_path('system/backupcount');
 		} elseif (empty($_POST['backupcount'])) {
 			config_del_path('system/backupcount');
-			$changedescr = gettext("(platform default)");
+			$changedescr = gettext('platform default');
 		}
-		write_config(sprintf(gettext("Changed backup revision count to %s"), $changedescr));
+		write_config(sprintf(gettext('Changed backup revision count to %s'), $changedescr));
 	}
 }
 
 $confvers = unserialize_data(file_get_contents(g_get('cf_conf_path') . '/backup/backup.cache'), []);
 
 if ($_POST['newver'] != "") {
-	if (config_restore(g_get('conf_path') . '/backup/config-' . $_POST['newver'] . '.xml') == 0) {
+	if (config_restore(g_get('conf_path') . '/backup/config-' . $_POST['newver'] . '.xml', htmlspecialchars($confvers[$_POST['newver']]['description']))) {
 		$savemsg = sprintf(gettext('Successfully reverted configuration to timestamp %1$s with description "%2$s".%3$s%3$sTo activate the changes, manually reboot or apply/reload relevant features.'), date(gettext("n/j/y H:i:s"), $_POST['newver']), htmlspecialchars($confvers[$_POST['newver']]['description']), '<br/>');
 	} else {
 		$savemsg = gettext("Unable to revert to the selected configuration.");
@@ -71,7 +71,7 @@ if ($_REQUEST['getcfg'] != "") {
 				'config-' . config_get_path('system/hostname') . '.' . config_get_path('system/domain') . "-{$_REQUEST['getcfg']}.xml");
 }
 
-if (($_REQUEST['diff'] == 'Diff') && isset($_REQUEST['oldtime']) && isset($_REQUEST['newtime']) &&
+if (($_REQUEST['compare'] == 'compare') && isset($_REQUEST['oldtime']) && isset($_REQUEST['newtime']) &&
     (is_numeric($_REQUEST['oldtime'])) &&
     (is_numeric($_REQUEST['newtime']) || ($_REQUEST['newtime'] == 'current'))) {
 	$diff = "";
@@ -93,9 +93,9 @@ cleanup_backupcache(false);
 $confvers = get_backups();
 unset($confvers['versions']);
 
-$pgtitle = array(gettext("Diagnostics"), htmlspecialchars(gettext("Backup & Restore")), gettext("Config History"));
-$pglinks = array("", "diag_backup.php", "@self");
-include("head.inc");
+$pgtitle = [gettext('Diagnostics'), htmlspecialchars(gettext('Backup & Restore')), gettext('Config History')];
+$pglinks = ['', 'diag_backup.php', '@self'];
+include('head.inc');
 
 if ($input_errors) {
 	print_input_errors($input_errors);
@@ -106,16 +106,16 @@ if ($savemsg) {
 }
 
 $tab_array = array();
-$tab_array[] = array(htmlspecialchars(gettext("Backup & Restore")), false, "diag_backup.php");
-$tab_array[] = array(gettext("Config History"), true, "diag_confbak.php");
+$tab_array[] = [htmlspecialchars(gettext('Backup & Restore')), false, "diag_backup.php"];
+$tab_array[] = [gettext('Config History'), true, 'diag_confbak.php'];
 display_top_tabs($tab_array);
 
-if ($diff) {
+if ($diff):
 ?>
 <div class="panel panel-default">
 	<div class="panel-heading">
 		<h2 class="panel-title">
-			<?=sprintf(gettext('Configuration Diff from %1$s to %2$s'), date(gettext("n/j/y H:i:s"), $oldtime), date(gettext("n/j/y H:i:s"), $newtime))?>
+			<?=sprintf(gettext('Configuration Difference from %1$s to %2$s'), date(gettext("n/j/y H:i:s"), $oldtime), date(gettext("n/j/y H:i:s"), $newtime))?>
 		</h2>
 	</div>
 	<div class="panel-body table-responsive">
@@ -123,55 +123,47 @@ if ($diff) {
 		<table style="padding-top: 4px; padding-bottom: 4px; vertical-align:middle;">
 
 <?php
-	foreach ($diff as $line) {
-		switch (substr($line, 0, 1)) {
-			case "+":
-				$color = "#caffd3";
-				break;
-			case "-":
-				$color = "#ffe8e8";
-				break;
-			case "@":
-				$color = "#a0a0a0";
-				break;
-			default:
-				$color = "#ffffff";
-		}
+$colors = [
+	'+' => '#caffd3',
+	'-' => '#ffe8e8',
+	'@' => '#a0a0a0'
+];
+	foreach ($diff as $line):
 ?>
 			<tr>
-				<td class="diff-text" style="vertical-align:middle; background-color:<?=$color;?>; white-space:pre-wrap;"><?=htmlentities($line)?></td>
+				<td class="diff-text" style="vertical-align:middle; background-color:<?=$colors[substr($line, 0, 1)] ?? '#ffffff'?>; white-space:pre-wrap;"><?=htmlentities($line)?></td>
 			</tr>
 <?php
-	}
+	endforeach;
 ?>
 		</table>
 	</div>
 </div>
 <?php
-}
+endif;
 
 $form = new Form(false);
 
-$section = new Form_Section('Configuration Backup Cache Settings', 'configsettings', COLLAPSIBLE|SEC_CLOSED);
+$section = new Form_Section(gettext('Configuration Backup Settings'), 'configsettings');
 
 $section->addInput(new Form_Input(
 	'backupcount',
-	'Backup Count',
+	gettext('Maximum Backups'),
 	'number',
 	config_get_path('system/backupcount'),
-	['min' => '0']
-))->setHelp('Maximum number of old configurations to keep in the cache, 0 for no backups, or leave blank for the default value (%s for the current platform).', g_get('default_config_backup_count'));
+	['min' => '0', 'placeholder' => g_get('default_config_backup_count')]
+))->setHelp(gettext('Maximum number of old configuration backups to keep in the cache, 0 for no backups, or leave blank for the default value.'));
 
 $space = exec("/usr/bin/du -sh /conf/backup | /usr/bin/awk '{print $1;}'");
 
 $section->addInput(new Form_StaticText(
-	'Current space used by backups',
+	gettext('Used Space'),
 	$space
 ));
 
 $section->addInput(new Form_Button(
 	'Submit',
-	gettext("Save"),
+	gettext('Save'),
 	null,
 	'fa-solid fa-save'
 ))->addClass('btn-primary');
@@ -188,8 +180,7 @@ if (is_array($confvers)) {
 			gettext(
 				'To view the differences between an older configuration and a newer configuration, ' .
 				'select the older configuration using the left column of radio options and select the newer configuration in the right column, ' .
-				'then press the "Diff" button.'),
-			'info', false); ?>
+				'then press the "Compare" button.'), 'info', false); ?>
 	</div>
 </div>
 <?php
@@ -205,16 +196,16 @@ if (is_array($confvers)):
 			<thead>
 				<tr>
 					<th colspan="2">
-						<button type="submit" name="diff" class="btn btn-info btn-xs" value="Diff">
+						<button type="submit" name="compare" class="btn btn-info btn-xs" value="compare">
 							<i class="fa-solid fa-right-left icon-embed-btn"></i>
-							<?=gettext("Diff"); ?>
+							<?=gettext('Compare'); ?>
 						</button>
 					</th>
-					<th><?=gettext("Date")?></th>
-					<th><?=gettext("Version")?></th>
-					<th><?=gettext("Size")?></th>
-					<th><?=gettext("Configuration Change")?></th>
-					<th><?=gettext("Actions")?></th>
+					<th><?=gettext('Date')?></th>
+					<th><?=gettext('Version')?></th>
+					<th><?=gettext('Size')?></th>
+					<th><?=gettext('Configuration Change')?></th>
+					<th><?=gettext('Actions')?></th>
 				</tr>
 			</thead>
 			<tbody>
@@ -269,9 +260,9 @@ if (is_array($confvers)):
 ?>
 				<tr>
 					<td colspan="2">
-						<button type="submit" name="diff" class="btn btn-info btn-xs" value="Diff">
+						<button type="submit" name="compare" class="btn btn-info btn-xs" value="compare">
 							<i class="fa-solid fa-right-left icon-embed-btn"></i>
-							<?=gettext("Diff"); ?>
+							<?=gettext('Compare'); ?>
 						</button>
 					</td>
 					<td colspan="5"></td>
diff --git a/src/usr/local/www/diag_reboot.php b/src/usr/local/www/diag_reboot.php
index ed1bc76ec9..f326b54604 100644
--- a/src/usr/local/www/diag_reboot.php
+++ b/src/usr/local/www/diag_reboot.php
@@ -46,30 +46,33 @@ $guiretry = 20;		// Seconds to try again if $guitimeout was not long enough
 
 $pgtitle = array(gettext("Diagnostics"), gettext("Reboot"));
 $platform = system_identify_specific_platform();
+
 include("head.inc");
 
-if ($_SERVER['REQUEST_METHOD'] == 'POST'):
+if (isset($_POST['rebootmode'])):
 	if (DEBUG) {
 		print_info_box(gettext("Not actually rebooting (DEBUG is set true)."), 'success');
 	} else {
 		print('<div><pre>');
 		switch ($_POST['rebootmode']) {
-			case 'FSCKReboot':
+			case 'fsckreboot':
 				if ((php_uname('m') != 'arm') && !is_module_loaded("zfs.ko")) {
 					mwexec('/sbin/nextboot -e "pfsense.fsck.force=5"');
 					notify_all_remote(sprintf(gettext("%s is rebooting for a filesystem check now."), g_get('product_label')));
 					system_reboot();
 				}
 				break;
-			case 'Reroot':
+			case 'reroot':
 				notify_all_remote(sprintf(gettext("%s is rerooting now."), g_get('product_label')));
 				system_reboot_sync(true);
 				break;
-			case 'Reboot':
+			case 'reboot':
 				notify_all_remote(sprintf(gettext("%s is rebooting now."), g_get('product_label')));
 				system_reboot();
 				break;
 			default:
+				header('Location: /diag_reboot.php');
+				break;
 		}
 		print('</pre></div>');
 	}
@@ -85,7 +88,7 @@ events.push(function() {
 
 	function checkonline() {
 		$.ajax({
-			url	 : "/index.php", // or other resource
+			url	: "/index.php", // or other resource
 			type : "HEAD"
 		})
 		.done(function() {
@@ -122,26 +125,25 @@ else:
 
 $form = new Form(false);
 
-$help = 'Select "Normal reboot" to reboot the system immediately';
-$modeslist = ['Reboot' => 'Normal reboot'];
-if ((php_uname('m') != 'arm') && !is_module_loaded("zfs.ko")) {
-        $help .= ', "Reboot with Filesystem Check" to reboot and run filesystem check';
-        $modeslist += ['FSCKReboot' => 'Reboot with Filesystem Check'];
-}
+$section = new Form_Section(gettext('Reboot Method'));
 
-$help .= ', or "Reroot" to stop processes, remount disks and re-run startup sequence';
-$modeslist += ['Reroot' => 'Reroot'];
+$help[] = gettext('Select "Normal reboot" to reboot the system immediately.');
+$modeslist['reboot'] = gettext('Normal Reboot');
 
-$help .= '.';
+if ((php_uname('m') != 'arm') && !is_module_loaded("zfs.ko")) {
+	$help[] = gettext('Select "Reboot with Filesystem Check" to reboot and run filesystem check.');
+	$modeslist['fsckreboot'] = gettext('Reboot with Filesystem Check');
+}
 
-$section = new Form_Section('Select reboot method');
+$help[] = gettext('Select "Reroot" to stop processes, remount disks and re-run startup sequence.');
+$modeslist['reroot'] = gettext('Reroot');
 
 $section->addInput(new Form_Select(
         'rebootmode',
-        '*Reboot method',
+        '*'.gettext('Reboot Method'),
         $rebootmode,
         $modeslist
-))->setHelp($help);
+))->setHelp(implode("<br />", $help));
 
 $form->add($section);
 
@@ -152,7 +154,7 @@ $form->addGlobal(new Form_Button(
         'fa-solid fa-wrench'
 ))->addClass('btn-primary');
 
-print $form;
+print($form);
 
 endif;
 
diff --git a/src/usr/local/www/firewall_rules.php b/src/usr/local/www/firewall_rules.php
index ecb8a9042a..0ef8523854 100644
--- a/src/usr/local/www/firewall_rules.php
+++ b/src/usr/local/www/firewall_rules.php
@@ -93,10 +93,10 @@ function print_states($tracker_start, $tracker_end = -1) {
 	$rules = get_pf_rules($rulescnt, $tracker_start, $tracker_end);
 	if (is_array($rules)) {
 		foreach ($rules as $rule) {
+			$evaluations += $rule['evaluations'];
+			$packets += $rule['packets'];
 			$bytes += $rule['bytes'];
 			$states += $rule['states'];
-			$packets += $rule['packets'];
-			$evaluations += $rule['evaluations'];
 			$stcreations += $rule['state creations'];
 			if (strlen($rulesid) > 0) {
 				$rulesid .= ",";
@@ -111,15 +111,17 @@ function print_states($tracker_start, $tracker_end = -1) {
 	}
 	$trackertext .= "<br />";
 
-	printf("<a href=\"diag_dump_states.php?ruleid=%s\" " .
+	$title = (gettext('States details'));
+	$href = ('diag_dump_states.php?ruleid=' . $rulesid);
+	printf("<a href=\"%s\" " .
 	    "data-toggle=\"popover\" data-trigger=\"hover focus\" " .
-	    "title=\"%s\" ", $rulesid, gettext("States details"));
+	    "title=\"%s\" ", $href, $title);
 	printf("data-content=\"{$trackertext}evaluations: %s<br />packets: " .
-	    "%s<br />bytes: %s<br />states: %s<br />state creations: " .
-	    "%s\" data-html=\"true\" usepost>",
-	    format_number($evaluations), format_number($packets),
-	    format_bytes($bytes), format_number($states),
+	    "%s<br />bytes: %s<br />", format_number($evaluations), format_number($packets),
+	    format_bytes($bytes));
+	printf("states: %s<br />state creations: %s", format_number($states),
 	    format_number($stcreations));
+	printf("\" data-html=\"true\" usepost>");
 	printf("%s/%s</a><br />", format_number($states), format_bytes($bytes));
 }
 
@@ -261,7 +263,6 @@ if (isset($_POST['del_x'])) {
 } else if ($_POST['order-store']) {
 	$updated = false;
 	$dirty = false;
-
 	/* update rule order, POST[rule] is an array of ordered IDs */
 	if (is_array($_POST['rule']) && !empty($_POST['rule'])) {
 		$a_filter_new = array();
@@ -373,7 +374,7 @@ if (isset($_POST['del_x'])) {
 	exit;
 }
 
-$tab_array = array(array(gettext("Floating"), ("FloatingRules" == $if), "firewall_rules.php?if=FloatingRules"));
+$tab_array[] = [gettext('Floating'), ($if === 'FloatingRules'), 'firewall_rules.php?if=FloatingRules'];
 
 foreach ($iflist as $ifent => $ifname) {
 	$tab_array[] = array($ifname, ($ifent == $if), "firewall_rules.php?if={$ifent}");
@@ -426,9 +427,9 @@ if (config_path_enabled("interfaces/{$if}", "blockbogons")) {
 }
 
 if (config_path_enabled('system/webgui', 'roworderdragging')) {
-	$rules_header_text = gettext("Rules");
+	$rules_header_text = gettext('Rules');
 } else {
-	$rules_header_text = gettext("Rules (Drag to Change Order)");
+	$rules_header_text = gettext('Rules (Drag to Change Order)');
 }
 
 /* Load the counter data of each pf rule. */
@@ -439,7 +440,7 @@ $columns_in_table = 13;
 
 /* Floating rules tab has one extra column
  * https://redmine.pfsense.org/issues/10667 */
-if ($if == "FloatingRules") {
+if ($if === 'FloatingRules') {
 	$columns_in_table++;
 }
 
@@ -468,24 +469,20 @@ if (isset($if)):
 					<tr>
 						<th><input type="checkbox" id="selectAll" name="selectAll" /></th>
 						<th><!-- status icons --></th>
-						<th><?=gettext("States")?></th>
-				<?php
-					if ('FloatingRules' == $if) {
-				?>
-						<th><?=gettext("Interfaces")?></th>
-				<?php
-					}
-				?>
-						<th><?=gettext("Protocol")?></th>
-						<th><?=gettext("Source")?></th>
-						<th><?=gettext("Port")?></th>
-						<th><?=gettext("Destination")?></th>
-						<th><?=gettext("Port")?></th>
-						<th><?=gettext("Gateway")?></th>
-						<th><?=gettext("Queue")?></th>
-						<th><?=gettext("Schedule")?></th>
-						<th><?=gettext("Description")?></th>
-						<th><?=gettext("Actions")?></th>
+						<th><?=gettext('States')?></th>
+<?php if ($if === 'FloatingRules'): ?>
+						<th><?=gettext('Interfaces')?></th>
+<?php endif; ?>
+						<th><?=gettext('Protocol')?></th>
+						<th><?=gettext('Source')?></th>
+						<th><?=gettext('Port')?></th>
+						<th><?=gettext('Destination')?></th>
+						<th><?=gettext('Port')?></th>
+						<th><?=gettext('Gateway')?></th>
+						<th><?=gettext('Queue')?></th>
+						<th><?=gettext('Schedule')?></th>
+						<th><?=gettext('Description')?></th>
+						<th><?=gettext('Actions')?></th>
 					</tr>
 				</thead>
 
@@ -576,7 +573,8 @@ $a_schedules = config_get_path('schedules/schedule');
 $if_config = config_get_path('interfaces');
 foreach (config_get_path('filter/rule', []) as $filteri => $filterent):
 
-	if (($filterent['interface'] == $if && !isset($filterent['floating'])) || (isset($filterent['floating']) && "FloatingRules" == $if)) {
+	if (($filterent['interface'] == $if && !isset($filterent['floating'])) ||
+	    (isset($filterent['floating']) && $if === 'FloatingRules')) {
 
 		// Display separator(s) for section beginning at rule n
 		if ($seprows[$nrules]) {
@@ -621,7 +619,8 @@ foreach (config_get_path('filter/rule', []) as $filteri => $filterent):
 			print '<i class="fa-solid fa-tasks" title="'. gettext("traffic is logged") .'" style="cursor: pointer;"></i>';
 		}
 
-		if (isset($filterent['direction']) && ($if == "FloatingRules")) {
+		if (isset($filterent['direction']) &&
+		    ($if == "FloatingRules")) {
 			if ($filterent['direction'] == 'in') {
 				print '<i class="fa-regular fa-circle-left" title="'. gettext("direction is in") .'" style="cursor: pointer;"></i>';
 			} elseif ($filterent['direction'] == 'out') {
@@ -778,9 +777,9 @@ foreach (config_get_path('filter/rule', []) as $filteri => $filterent):
 			}
 		}
 	?>
-				<td><?php print_states(intval($filterent['tracker'])); ?></td>
+				<td><?php print_states(intval($filterent['tracker']), -1); ?></td>
 	<?php
-		if ($if == 'FloatingRules') {
+		if ($if === 'FloatingRules') {
 	?>
 			<td onclick="fr_toggle(<?=$nrules;?>)" id="frd<?=$nrules;?>" ondblclick="document.location='firewall_rules_edit.php?id=<?=$i;?>';">
 	<?php
@@ -1018,8 +1017,8 @@ foreach ($seprows as $idx => $sep) {
 <?php if ($nrules == 0): ?>
 	<div class="alert alert-warning" role="alert">
 		<p>
-		<?php if ($_REQUEST['if'] == "FloatingRules"): ?>
-			<?=gettext("No floating rules are currently defined.");?>
+		<?php if ($if === 'FloatingRules'): ?>
+			<?=gettext('No floating rules are currently defined.');?>
 		<?php else: ?>
 			<?=gettext("No rules are currently defined for this interface");?><br />
 			<?=gettext("All incoming connections on this interface will be blocked until pass rules are added.");?>
@@ -1046,7 +1045,7 @@ foreach ($seprows as $idx => $sep) {
 			<i class="fa-solid fa-ban icon-embed-btn"></i>
 			<?=gettext("Toggle"); ?>
 		</button>
-		<?php if ($if != 'FloatingRules'):?>
+		<?php if ($if !== 'FloatingRules'):?>
 		<button id="copy_x" name="copy_x" type="button" class="btn btn-primary btn-sm" value="<?=gettext("Copy selected rules"); ?>" disabled title="<?=gettext('Copy selected rules')?>" data-toggle="modal" data-target="#rulescopy">
 			<i class="fa-regular fa-clone icon-embed-btn"></i>
 			<?=gettext("Copy"); ?>
diff --git a/src/usr/local/www/firewall_rules_edit.php b/src/usr/local/www/firewall_rules_edit.php
index 1338f82319..1dd6a086a2 100644
--- a/src/usr/local/www/firewall_rules_edit.php
+++ b/src/usr/local/www/firewall_rules_edit.php
@@ -212,10 +212,6 @@ if (isset($id) && $a_filter[$id]) {
 		}
 	}
 
-	if (isset($a_filter['floating'])) {
-		$pconfig['floating'] = "yes";
-	}
-
 	if (isset($a_filter[$id]['direction'])) {
 		$pconfig['direction'] = $a_filter[$id]['direction'];
 	}
@@ -333,6 +329,7 @@ if (isset($id) && $a_filter[$id]) {
 	$pconfig['src'] = "any";
 	$pconfig['dst'] = "any";
 }
+
 /* Allow the FloatingRules to work */
 $if = $pconfig['interface'];
 
@@ -371,7 +368,12 @@ if ($_POST['save']) {
 
 	// add validation + input error for $_POST['interface']
 
-	$valid = ($_POST['interface'] == "FloatingRules" || isset($_POST['floating'])) ? ['pass','block','reject', 'match'] : ['pass','block','reject'];
+	if ($_POST['interface'] == 'FloatingRules' || isset($_POST['floating'])) {
+		$valid = ['pass', 'block', 'reject', 'match'];
+	} else {
+		$valid = ['pass', 'block', 'reject'];
+	}
+
 	if (!(is_string($_POST['type'])  && in_array($_POST['type'], $valid))) {
 		$input_errors[] = gettext("A valid rule type is not selected.");
 		unset($_POST['type']);
@@ -874,8 +876,8 @@ if ($_POST['save']) {
 
 		$filterent['type'] = $_POST['type'];
 
-		if (isset($_POST['floating']) && (!isset($_POST['interface']) ||
-		    in_array('any', $_POST['interface']))) {
+		if (isset($_POST['floating']) &&
+		    (!isset($_POST['interface']) || in_array('any', $_POST['interface']))) {
 			$_POST['interface'] = array('any');
 		} else {
 			$filterent['interface'] = $_POST['interface'];
@@ -1064,7 +1066,7 @@ if ($_POST['save']) {
 
 		if (isset($id) && $a_filter[$id]) {
 			$tmpif = $filterent['interface'];
-			if (($tmpif == $if) || (isset($pconfig['floating']))) {
+			if (($tmpif == $if) || isset($pconfig['floating'])) {
 				$a_filter[$id] = $filterent;
 			} else {							// rule moved to different interface
 				// update the previous interface's separators
@@ -1118,9 +1120,9 @@ if ($_POST['save']) {
 		}
 
 		if (isset($_POST['floating'])) {
-			header("Location: firewall_rules.php?if=FloatingRules");
+			header('Location: firewall_rules.php?if=FloatingRules');
 		} else {
-			header("Location: firewall_rules.php?if=" . htmlspecialchars($_POST['interface']));
+			header('Location: firewall_rules.php?if=' . htmlspecialchars($_POST['interface']));
 		}
 		exit;
 	}
@@ -1170,7 +1172,9 @@ function build_flag_table() {
 $pgtitle = array(gettext("Firewall"), gettext("Rules"));
 $pglinks = array("");
 
-if ($if == "FloatingRules" || isset($pconfig['floating'])) {
+$is_floating_rule = (($if === 'FloatingRules') || isset($pconfig['floating']));
+
+if ($is_floating_rule) {
 	$pglinks[] = "firewall_rules.php?if=FloatingRules";
 	$pgtitle[] = gettext('Floating');
 	$pglinks[] = "firewall_rules.php?if=FloatingRules";
@@ -1235,7 +1239,7 @@ $values = array(
 	'reject' => gettext('Reject'),
 );
 
-if ($if == "FloatingRules" || isset($pconfig['floating'])) {
+if ($is_floating_rule) {
 	$values['match'] = gettext('Match');
 }
 
@@ -1258,7 +1262,7 @@ $section->addInput(new Form_Checkbox(
 ))->setHelp('Set this option to disable this rule without removing it from the '.
 	'list.');
 
-if ($if == "FloatingRules" || isset($pconfig['floating'])) {
+if ($is_floating_rule) {
 	$section->addInput(new Form_Checkbox(
 		'quick',
 		'Quick',
@@ -1304,7 +1308,7 @@ if ($edit_disabled) {
 	}
 }
 
-if ($if == "FloatingRules" || isset($pconfig['floating'])) {
+if ($is_floating_rule) {
 	$section->addInput($input = new Form_Select(
 		'interface',
 		'*Interface',
@@ -1321,7 +1325,7 @@ if ($if == "FloatingRules" || isset($pconfig['floating'])) {
 	))->setHelp('Choose the interface from which packets must come to match this rule.');
 }
 
-if ($if == "FloatingRules" || isset($pconfig['floating'])) {
+if ($is_floating_rule) {
 	$section->addInput(new Form_Select(
 		'direction',
 		'*Direction',
@@ -1478,6 +1482,7 @@ foreach (['src' => gettext('Source'), 'dst' => gettext('Destination')] as $type
 
 	$group->addClass(($type == 'src') ? 'srcprtr':'dstprtr');
 	$section->add($group);
+
 	$form->add($section);
 }
 
@@ -1497,7 +1502,7 @@ $section->addInput(new Form_Input(
 	'text',
 	$pconfig['descr']
 ))->setHelp('A description may be entered here for administrative reference. ' .
-	'A maximum of %s characters will be used in the ruleset and displayed in the firewall log.',
+	'A maximum of %s characters will be used in the ruleset label and displayed in the firewall log.',
 	user_rule_descr_maxlen());
 
 $btnadv = new Form_Button(
@@ -1703,8 +1708,7 @@ foreach (get_gateways() as $gwname => $gw) {
 
 foreach ((array)$a_gatewaygroups as $gwg_name => $gwg_data) {
 	$gwjson = $gwjson . "," .'{"name":' . json_encode($gwg_name) . ', "gateway":' .
-	json_encode($gwg_data['name'] . $gwg_name . (empty($gwg_data['descr'])? '' : ' - '. $gwg_data['descr'])) . ',"family":' .
-	json_encode($gwg_data['ipprotocol']) . '}';
+	json_encode($gwg_data['name'] . $gwg_name . (empty($gwg_data['descr'])? '' : ' - '. $gwg_data['descr'])) . ',"family":' . json_encode($gwg_data['ipprotocol']) . '}';
 	$firstgw = false;
 }
 
@@ -2108,7 +2112,7 @@ events.push(function() {
 	});
 
 	$('#icmptype\\[\\]').on('change', function() {
-			icmptype_change();
+		icmptype_change();
 	});
 
 	$('#tcpflags_any').click(function () {
diff --git a/src/usr/local/www/firewall_virtual_ip_edit.php b/src/usr/local/www/firewall_virtual_ip_edit.php
index 767ed9c02e..251b0846fa 100644
--- a/src/usr/local/www/firewall_virtual_ip_edit.php
+++ b/src/usr/local/www/firewall_virtual_ip_edit.php
@@ -85,8 +85,6 @@ $pglinks = array("", "firewall_virtual_ip.php", "@self");
 include("head.inc");
 
 function build_if_list() {
-	$list = array();
-
 	$interfaces = get_configured_interface_with_descr(true);
 	$carplist = get_configured_vip_list('all', VIP_CARP);
 
@@ -195,7 +193,7 @@ $section->addInput(new Form_Select(
 	array_combine(range(1, 255, 1), range(1, 255, 1))
 ))->setHelp('Enter the VHID group that the machines will share.');
 
-$group = new Form_Group('Advertising frequency');
+$group = new Form_Group('Advertising Frequency');
 $group->add(new Form_Select(
 	'advbase',
 	'Base',
@@ -301,7 +299,6 @@ events.push(function() {
 			$('#type').val('single');
 			setRequired('type', false);
 			disableInput('subnet_bits', false);
-
 		} else if (mode == 'carp') {
 			$('#address_note').html("<?=$ipaliashelp?>");
 			disableInput('vhid', false);
diff --git a/src/usr/local/www/includes/functions.inc.php b/src/usr/local/www/includes/functions.inc.php
index b728c7b382..0f2f1d0a91 100644
--- a/src/usr/local/www/includes/functions.inc.php
+++ b/src/usr/local/www/includes/functions.inc.php
@@ -382,30 +382,30 @@ function get_cpu_crypto_support() {
 
 function get_cpu_crypto_string($crypto) {
 	$machine = get_single_sysctl('hw.machine');
-	$string = "";
+	$string = '';
 
 	switch ($machine) {
 	case 'amd64':
-		$string = "AES-NI CPU Crypto: ";
-		if ($crypto && crypto_accel_get($crypto, "AESNI", "present")) {
-			$string .= "Yes ";
-			$string .= crypto_accel_get($crypto, "AESNI", "enabled") ? "(active)" : "(inactive)";
+		$string = 'AES-NI CPU Crypto: ';
+		if ($crypto && crypto_accel_get($crypto, 'AESNI', 'present')) {
+			$string .= 'Yes ';
+			$string .= crypto_accel_get($crypto, 'AESNI', 'enabled') ? '(active)' : '(inactive)';
 		} else {
-			$string .= "No";
+			$string .= 'No';
 		}
 		$string .= "<br>\n";
-		$string .= "QAT Crypto: ";
-		if ($crypto && crypto_accel_get($crypto, "QAT", "present")) {
-			$string .= "Yes ";
-			$string .= crypto_accel_get($crypto, "QAT", "enabled") ? "(active)" : "(inactive)";
+		$string .= 'QAT Crypto: ';
+		if ($crypto && crypto_accel_get($crypto, 'QAT', 'present')) {
+			$string .= 'Yes ';
+			$string .= crypto_accel_get($crypto, 'QAT', 'enabled') ? '(active)' : '(inactive)';
 		} else {
-			$string .= "No";
+			$string .= 'No';
 		}
 		break;
 	}
 
 	if (strlen($string) == 0) {
-		$string = "CPU Crypto: None/Unknown Platform";
+		$string = 'CPU Crypto: None/Unknown Platform';
 	}
 
 	return ($string);
@@ -417,7 +417,9 @@ function get_cpu_count($show_detail = false) {
 	if ($show_detail) {
 		$cpudetail = "";
 		exec("/usr/bin/grep 'FreeBSD/SMP:.*package' /var/log/dmesg.boot | /usr/bin/cut -f2- -d' '", $cpudetail);
-		$cpucount = $cpudetail[0];
+		if (!empty($cpudetail[0]))  {
+			$cpucount = $cpudetail[0];
+		}
 	}
 	return $cpucount;
 }
@@ -501,4 +503,3 @@ function get_interfacestatus() {
 	return $data;
 }
 
-?>
